[csw-devel] SF.net SVN: gar:[20481] csw/mgar/pkg/emacs/trunk

pfelecan at users.sourceforge.net pfelecan at users.sourceforge.net
Tue Mar 19 15:58:09 CET 2013


Revision: 20481
          http://gar.svn.sourceforge.net/gar/?rev=20481&view=rev
Author:   pfelecan
Date:     2013-03-19 14:58:08 +0000 (Tue, 19 Mar 2013)
Log Message:
-----------
emacs/trunk: adapt native installation for clean alternatives

Modified Paths:
--------------
    csw/mgar/pkg/emacs/trunk/Makefile

Added Paths:
-----------
    csw/mgar/pkg/emacs/trunk/files/CSWemacs-common.preinstall

Modified: csw/mgar/pkg/emacs/trunk/Makefile
===================================================================
--- csw/mgar/pkg/emacs/trunk/Makefile	2013-03-19 13:28:09 UTC (rev 20480)
+++ csw/mgar/pkg/emacs/trunk/Makefile	2013-03-19 14:58:08 UTC (rev 20481)
@@ -10,8 +10,9 @@
   display editor.
 endef
 
+MASTER_SITES	=	$(GNU_MIRROR)
 DISTFILES		=	$(DISTNAME).tar.xz
-MASTER_SITES	=	$(GNU_MIRROR)
+DISTFILES		+=	CSWemacs-common.preinstall
 
 # this is necessary because GNU id options dialect is is used; BTW, I
 # think that adding this systematically at the beginning of the PATH
@@ -106,6 +107,9 @@
 CONFIGURE_ARGS	+= --without-compress-info
 CONFIGURE_ARGS	+= $(EXTRA_CONFIGURE_ARGS_$(FEATURES))
 
+# this is part of texinfo package:
+EXTRA_MERGE_EXCLUDE_FILES	+=	/opt/csw/share/info/info.info
+
 MERGE_SCRIPTS_isa-default-features-athena	=	copy-all
 
 MERGE_DIRS_isa-default-features-gtk			=	$(bindir)
@@ -407,8 +411,9 @@
 
 post-install-modulated:
 	@echo "executing $@"
-	mv -f $(DESTDIR)$(bindir)/emacs $(DESTDIR)$(bindir)/emacs-$(FEATURES)
+	rm -f $(DESTDIR)$(bindir)/emacs
 	mv -f $(DESTDIR)$(bindir)/emacs-$(VERSION) $(DESTDIR)$(bindir)/emacs-$(VERSION)-$(FEATURES)
+	cd $(DESTDIR)$(bindir) && ln -s emacs-$(VERSION)-$(FEATURES) emacs-$(FEATURES)
 	$(MAKECOOKIE)
 
 # this is private and not available publicly

Added: csw/mgar/pkg/emacs/trunk/files/CSWemacs-common.preinstall
===================================================================
--- csw/mgar/pkg/emacs/trunk/files/CSWemacs-common.preinstall	                        (rev 0)
+++ csw/mgar/pkg/emacs/trunk/files/CSWemacs-common.preinstall	2013-03-19 14:58:08 UTC (rev 20481)
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+theGroup=games
+theUser=games
+
+# test if the group exist, if not create it
+eval getent group ${theGroup} > /dev/null
+if test $? -gt 0
+then 
+	groupadd ${theGroup} > /dev/null
+	echo group ${theGroup} has been added
+	
+	eval getent group ${theGroup} > /dev/null
+	if test $? -gt 0
+	then
+		echo ERROR: Failed to add group ${theGroup}
+		exit 1
+	fi
+fi
+
+# test if the user exist, if not create it
+eval getent passwd ${theUser} > /dev/null
+if test $? -gt 0
+then 	
+	useradd -c "${theUser} user" -g ${theGroup} -d /opt/csw/ -s /bin/sh ${theUser} > /dev/null
+	echo user ${theUser} has been added
+
+	eval getent passwd ${theUser} > /dev/null
+	if test $? -gt 0
+	then 	
+		echo ERROR: Failed to add user ${theUser}
+		exit 1
+	fi
+fi


Property changes on: csw/mgar/pkg/emacs/trunk/files/CSWemacs-common.preinstall
___________________________________________________________________
Added: svn:executable
   + *

This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list